#
# spec file for package yast2-python-bindings
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-python-bindings
Version:        3.1.1
Release:        8.2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  curl-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  yast2-core-devel
BuildRequires:  yast2-devtools >= 3.0.6
BuildRequires:  yast2-ycp-ui-bindings-devel

# YCPValue::valuetype_str()
Requires:       yast2-core       >= 2.16.37
BuildRequires:  yast2-core-devel >= 2.16.37
BuildRequires:  yast2-ycp-ui-bindings-devel >= 2.16.37
Requires:       python
Requires:       yast2-ycp-ui-bindings       >= 2.16.37
%if 0%{?suse_version} < 1220
BuildRequires:  libxcrypt-devel
%endif

Summary:        Python bindings for the YaST platform.
License:        GPL-2.0
Group:          System/YaST

%description
The bindings allow YaST modules to be written using the Python language
and also Python scripts can use YaST agents, APIs and modules.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

rm $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2lang_python.la
rm $RPM_BUILD_ROOT/%{python_sitearch}/libYCP.la

%files
%defattr (-, root, root)
%{yast_plugindir}/libpy2lang_python.so.*
%{yast_plugindir}/libpy2lang_python.so

# libYCP goes elsewhere
# %dir %{_libdir}/python
%{python_sitearch}/*
%doc %{yast_docdir}

%changelog
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Jul 30 2013 yast-devel@opensuse.org
- version 3.0.0
* Tue Jun 11 2013 jmatejek@suse.com
- install to correct python directory (fixes file conflict with
  python-base)
- 2.20.2
* Fri Jun 29 2012 aschnell@suse.de
- blocxx is no longer needed for build
* Tue Jun 26 2012 aschnell@suse.de
- adapted to namespace changes in yast2-core
- 2.20.1
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Sep  6 2010 juhliarik@suse.cz
- added patch for building with python 2.7
- 2.20.0
* Thu Feb  4 2010 juhliarik@suse.cz
- added patch from (bnc#520499) it solves problem with importing
  names
- 2.19.0
* Mon Dec 15 2008 juhliarik@suse.cz
- added fix for problem with strict-aliasing (bnc #444472)
  - 2.17.4
* Wed Sep 24 2008 visnov@suse.cz
- y2debug is always logged (bnc#426554)
- 2.17.3
* Tue Sep  9 2008 visnov@suse.cz
- build with python 2.6
- 2.17.2
* Fri Jun 27 2008 juhliarik@suse.cz
- added support for GET/SET variables in YCP module (bnc #402684)
- 2.17.1
* Mon Feb 25 2008 juhliarik@suse.cz
- Added support for creating known widget names in ycp module
- V 2.16.6
* Thu Feb 21 2008 sh@suse.de
- Added new UI packages to Requires/BuildRequires in .spec file
- V 2.16.5
* Wed Feb 20 2008 sh@suse.de
- New include path for YUIComponent.h
- V 2.16.4
* Mon Jan 21 2008 juhliarik@suse.cz
- Added pacth for bug#355064 - problem with SCR.Write
- V 2.16.3
* Wed Dec  5 2007 juhliarik@suse.cz
- Added patch for problem with handling error from python
- Correction for handling adding None(nil) as argument to yast function
- V 2.16.2
* Thu Nov 15 2007 juhliarik@suse.cz
- Addded correction in makefile and for YCPDeclaration
- V 2.16.1
* Wed Nov 14 2007 juhliarik@suse.cz
- Adding solution for calling python function via reference
- Adding support for calling YCode in Sequencer from python
- Reimplementation SCR
- V 2.16.0
* Sun Sep  9 2007 juhliarik@suse.cz
- Adding support for calling SCR
- Adding support for ycp types symbol, term, path
- Adding support for calling UI from YaST
- Added patch for bug #308213 and bug# 300909
- V 2.15.3
* Fri Aug 10 2007 mvidner@suse.cz
- Finished integrating Feature #120292, UI as a namespace callable
  from yast2-*-bindings.
- 2.15.2
* Mon Aug  6 2007 juhliarik@suse.cz
- initial version
  V 2.15.1
